Package ghidra.trace.model.symbol

# Interface TraceNamespaceSymbol

All Superinterfaces:
  `Namespace`, `Symbol`, `TraceSymbol`

All Known Subinterfaces:
  `TraceClassSymbol`

All Known Implementing Classes:
  `DBTraceClassSymbol`, `DBTraceNamespaceSymbol`

public interface TraceNamespaceSymbol extends TraceSymbol, Namespace
A trace namespace symbol.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface ghidra.program.model.symbol.Namespace

  `Namespace.Type`

- ## Field Summary

  ### Fields inherited from interface ghidra.program.model.symbol.Namespace

  `DELIMITER, GLOBAL_NAMESPACE_ID, NAMESPACE_DELIMITER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<? extends TraceSymbol>`
  `getChildren()`
  Get the children of this namespace
  `default TraceNamespaceSymbol`
  `getObject()`
  `TraceNamespaceSymbol`
  `getParentNamespace()`
  Return the parent namespace for this symbol.
  `String[]`
  `getPath()`
  Gets the full path name for this symbol as an ordered array of strings ending with the symbol name.
  `default TraceNamespaceSymbol`
  `getSymbol()`
  Get the symbol for this namespace.
  `Trace`
  `getTrace()`
  Get the trace to which this symbol belongs.
  `boolean`
  `isGlobal()`
  Return true if this is the global namespace

  ### Methods inherited from interface ghidra.program.model.symbol.Namespace

  `getBody, getID, getName, getName, getPathList, getType, isExternal, isLibrary, setParentNamespace`

  ### Methods inherited from interface ghidra.program.model.symbol.Symbol

  `delete, getAddress, getID, getName, getName, getProgram, getProgramLocation, getReferenceCount, getSource, getSymbolType, hasReferences, isDeleted, isDescendant, isDynamic, isExternal, isExternalEntryPoint, isPrimary, isValidParent, setName, setNameAndNamespace, setNamespace, setPrimary, setSource`

  ### Methods inherited from interface ghidra.trace.model.symbol.TraceSymbol

  `getParentSymbol, getReferenceCollection, getReferences, getReferences, getThread, isPinned, setPinned`

- ## Method Details

  - ### getTrace

    Trace getTrace()
    Description copied from interface: `TraceSymbol`
    Get the trace to which this symbol belongs.
    Specified by:
      `getTrace` in interface `TraceSymbol`
    Returns:
      the trace

  - ### getSymbol

    default TraceNamespaceSymbol getSymbol()
    Description copied from interface: `Namespace`
    Get the symbol for this namespace.
    Specified by:
      `getSymbol` in interface `Namespace`
    Returns:
      the symbol for this namespace.

  - ### getObject

    default TraceNamespaceSymbol getObject()
    Specified by:
      `getObject` in interface `Symbol`
    Returns:
      object associated with this symbol or null if symbol has been deleted

  - ### getParentNamespace

    TraceNamespaceSymbol getParentNamespace()
    Description copied from interface: `Symbol`
    Return the parent namespace for this symbol.
    Specified by:
      `getParentNamespace` in interface `Namespace`
    Specified by:
      `getParentNamespace` in interface `Symbol`
    Specified by:
      `getParentNamespace` in interface `TraceSymbol`
    Returns:
      the namespace that contains this symbol.

  - ### getChildren

    Collection<? extends TraceSymbol> getChildren()
    Get the children of this namespace
    Returns:
      the children

  - ### getPath

    String[] getPath()
    Description copied from interface: `Symbol`
    Gets the full path name for this symbol as an ordered array of strings ending with the symbol name.
    Specified by:
      `getPath` in interface `Symbol`
    Returns:
      the array indicating the full path name for this symbol.

  - ### isGlobal

    boolean isGlobal()
    Description copied from interface: `Namespace`
    Return true if this is the global namespace
    Specified by:
      `isGlobal` in interface `Namespace`
    Specified by:
      `isGlobal` in interface `Symbol`
    Returns:
      true if the symbol is contained within the global namespace